<?php
/**
 *   easycheckout : Easy checkout PRO for prestashop
 *
 *   @module     Easy checkout PRO (easycheckout)
 *   @file       easycheckout.php
 *   @subject    Clase principal del modulo
 *   @author    eraseunaventa.com
 *   @copyright Copyright (c) 2016 Erase Una Venta
 *   @license   Commercial license
 *   Support by mail: soporte@eraseunaventa.com
 */

if (! defined('_PS_VERSION_')) {
    exit();
}

class Easycheckout extends Module
{

    //Nest: Default para los estilos
    public $styleDefault = array(
        'login'     => array(
            'bg'            => '#ffffff',
            'borderType'    => 0,
            'borderColor'   => '#616161',
            'borderSize'    => 0,
            'borderRadius'  => 0,
            'btnColor'      => '#ffffff',
            'btnFontColor'  => '#333333',
            'fontFamily'    => 'Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif',
            'fontFamilyType'=> 'web',
            'fontSize'      => '14',
            'fontColor'     => '#333333',
        ),
        'envios'     => array(
            'bg'            => '#ffffff',
            'borderType'    => 0,
            'borderColor'   => '#616161',
            'borderSize'    => 0,
            'borderRadius'  => 0,
            'btnColor'      => '#ffffff',
            'btnFontColor'  => '#333333',
            'transport'     => array(
                'bgIn'      => '#dddddd',
                'colorIn'   => '#333333',
                'bgAc'      => '#009099',
                'colorAc'   => '#ffffff',
            ),
            'fontFamily'    => 'Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif',
            'fontFamilyType'=> 'web',
            'fontSize'      => '14',
            'fontColor'     => '#333333',
        ),
        'pagos'     => array(
            'bg'            => '#ffffff',
            'shadow'        => 0,
            'borderColor'   => '#616161',
            'borderSize'    => 0,
            'borderRadius'  => 0,
            'btnColor'      => '#ffffff',
            'btnFontColor'  => '#333333',
            'metodos'     => array(
                'bgIn'      => '#dddddd',
                'colorIn'   => '#333333',
                'bgAc'      => '#009099',
                'colorAc'   => '#ffffff',
            ),
            'fontFamily'    => 'Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif',
            'fontFamilyType'=> 'web',
            'fontSize'      => '14',
            'fontColor'     => '#333333',
        ),
        'botones'   => array(
            'fontFamily'    => 'Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif',
            'fontFamilyType'=> 'web',
            'fontSize'      => '14',
        )
    );

    public function __construct()
    {
        $this->name = 'easycheckout';
        $this->tab = 'checkout';
        $this->version = '1.2.1';
        $this->author = 'eraseunaventa.com';
        $this->need_instance = 1;
        $this->module_key = 'e6431ff47d316a1f720f49e967d4f777';
        $this->ps_versions_compliancy = array(
            'min' => '1.5',
            'max' => '1.6'
        );

        parent::__construct();

        $this->displayName = $this->l('Easy Checkout (PRO)');
        $this->description = $this->l('Agiliza tu proceso de checkout');

        $this->confirmUninstall = $this->l('Are you sure you want to uninstall?');
        if (! Configuration::get('EASEYCHECKOUT_PRO')) {
            $this->warning = $this->l('No name provided');
        }
    }

    public function install()
    {
        $resultado = (parent::install() && Configuration::updateValue('EASYCOPRO_campo', '') && Configuration::updateValue('PS_ORDER_PROCESS_TYPE', 1) && Configuration::updateValue('EASEYCHECKOUT_PRO', 'easycheckout') 
            && $this->registerHook('header'));
        if ($resultado) {
            $filename = _PS_MODULE_DIR_ . $this->name . '/views/css/custom-1.css';
            if (file_exists($filename)) {
                Tools::copy($filename, _PS_MODULE_DIR_ . $this->name . '/views/css/custom.css');
            }
        }
        return $resultado;
    }

    public function getContent()
    {
        // obtiene
        $easycopro_campo = $this->componerCampo();
        if (Tools::isSubmit('submit' . $this->name)) {
            $easycopro_campo_json = Tools::jsonEncode($easycopro_campo);
            Configuration::updateValue('EASYCOPRO_campo', $easycopro_campo_json);
            $this->escribirCustomCss();
            //Nest: escribir las opciones en archivo php
            $this->escribirOpcionesCss();
        }
        $easycopro_campo_json = Configuration::get('EASYCOPRO_campo');
        $token = Tools::getAdminTokenLite('AdminModules');

        //Nest: Insertar Default
        $EASYCOPRO_campo = Tools::jsonDecode($easycopro_campo_json, true);
        $EASYCOPRO_campo = $this->insertDefault($EASYCOPRO_campo,$this->styleDefault);

        $this->context->smarty->assign(array(
            'url_action' => AdminController::$currentIndex . '&amp;configure=' . $this->name . '&amp;token=' . $token,
            'EASYCOPRO_campo' => $EASYCOPRO_campo,
            'title' => $this->l('Configurar EasycheckourPro ') . $this->version,
            'EASYCOPRO_customcss' => $this->leerCustomCss()
        ));
        if (version_compare(_PS_VERSION_, '1.6', '<')){
            return $this->display(__FILE__, 'views/templates/admin/configuration15.tpl');
        }
        else{
            return $this->display(__FILE__, 'views/templates/admin/configuration.tpl');
        }
    }
    public function hookDisplayHeader()
    {
        if($this->context->controller->php_self == 'order-opc'){
            if (version_compare(_PS_VERSION_, '1.6', '<')){
                $this->context->controller->addCSS($this->_path . 'views/css/bootstrap/bootstrap.2.min.css', 'all');
                $this->context->controller->addCSS($this->_path . 'views/css/bootstrap/bootstrap-theme.2.min.css', 'all');
                $this->context->controller->addCSS($this->_path . 'views/css/bootstrap/bootstrap-responsive.2.min.css', 'all');
                $this->context->controller->addJS($this->_path . 'views/js/bootstrap.2.min.js', 'all');                
            }

            $this->context->controller->addCSS($this->_path . 'views/css/font-awesome.min.css', 'all');
            $this->context->controller->addCSS($this->_path . 'views/css/easycheckout.css', 'all');
            
            if (version_compare(_PS_VERSION_, '1.6', '<')){
                $this->context->controller->addCSS($this->_path . 'views/css/easycheckout151.css', 'all');
            }            
            $this->context->controller->addCSS($this->_path . 'views/css/easycheckoutcustom.css', 'all');            
            $this->context->controller->addCSS($this->_path . 'views/css/custom.css', 'all');
            
            $this->context->controller->addJS($this->_path . 'views/js/easycheckout.js', 'all');            
		    $this->context->controller->addJS($this->_path . 'views/js/jquery.uniform.min.js', 'all');
            if (version_compare(_PS_VERSION_, '1.6', '<')){
                $this->context->controller->addJS($this->_path . 'views/js/easycheckout15.js', 'all');
            }
            else{
                $this->context->controller->addJS($this->_path . 'views/js/statesManagement.js', 'all');
            }
            
            if (Module::isEnabled('easysociallogin')) {
                $this->context->smarty->assign(array(
                    'easysociallogin' => true
                ));
            }
        }

    }

    public function uninstall()
    {
        $resultado = parent::uninstall() && Configuration::deleteByName('EASEYCHECKOUT_PRO') && Configuration::deleteByName('EASYCOPRO_campo');
        $filename = _PS_MODULE_DIR_ . $this->name . '/views/css/custom.css';

        if (file_exists($filename)) {
		copy($filename, _PS_MODULE_DIR_ . $this->name . '/views/css/custom-1.css');
        }
        return $resultado;
    }

    /**
     * Metodo que recupera los valores de los campos activados o desactivados y lo pasa a un array
     *
     * @return multitype:NULL
     */
    protected function componerCampo()
    {
        $easycopro_campo = array();
        $easycopro_campo['carrier'] = Tools::getValue('EASYCOPRO_carrier');
        $easycopro_campo['invitado'] = Tools::getValue('EASYCOPRO_invitado');
        $easycopro_campo['empresa'] = Tools::getValue('EASYCOPRO_empresa');
        $easycopro_campo['tratamiento'] = Tools::getValue('EASYCOPRO_tratamiento');
        $easycopro_campo['nacimiento'] = Tools::getValue('EASYCOPRO_nacimiento');
        $easycopro_campo['boletin'] = Tools::getValue('EASYCOPRO_boletin');
        $easycopro_campo['terceros'] = Tools::getValue('EASYCOPRO_terceros');
        $easycopro_campo['address2'] = Tools::getValue('EASYCOPRO_address2');
        $easycopro_campo['observaciones'] = Tools::getValue('EASYCOPRO_observaciones');
        $easycopro_campo['telefono'] = Tools::getValue('EASYCOPRO_telefono');
        //Nest: Variables para los estilos
        $campoStyle = Tools::getValue('EASYCOPRO_style');

        $easycopro_campo['login'] = $campoStyle['login'];
        $easycopro_campo['envios'] = $campoStyle['envios'];
        $easycopro_campo['pagos'] = $campoStyle['pagos'];
        $easycopro_campo['botones'] = $campoStyle['botones'];
        //d($estilosFinal);
        return $easycopro_campo;
    }
    //Nest: Función para comparar insertar default
    protected function insertDefault($vars,$default){
        foreach ($default as $key => $value) {
            if(!array_key_exists($key, $vars)){
                $vars[$key] = $value;
            }else{
                if(is_array($value)){
                    $vars[$key] = $this->insertDefault($vars[$key],$value);
                }else{
                    if(empty($vars[$key])){
                        $vars[$key] = $value;
                    }
                }
            }
        }
        return $vars;
    }
    //Nest:función que recorre array y devuelve el texto
    protected function getTextArray($vars){
        $returned = '';
        foreach ($vars as $key => $value) {
            if(is_array($value)){
                $returned .= "'".$key."' => array(".$this->getTextArray($value)."),";
            }else{
                $returned .= "'".$key."' => '".$value."',";
            }
        }
        return $returned;
    }
    /**
     * Se escriben las opciones de configuración en un archivo CSS
     */
    protected function escribirOpcionesCss(){
            $options = Configuration::get('EASYCOPRO_campo');
            $cssJSON = Tools::jsonDecode($options, true);            
            $textcss = $this->writetoCSSCustom($cssJSON); 
            $filename = _PS_MODULE_DIR_ . $this->name . '/views/css/easycheckoutcustom.css';
            try {
                if (! $fp = fopen($filename, 'w+')) {
                    $this->errors[] = Tools::displayError('Error abriendo el fichero para escritura');
                }
                fwrite($fp, $textcss);
                fclose($fp);
            } catch (Exception $e) {
                $this->errors[] = Tools::displayError('Error guardando hoja de estilos personalizada:' . $e->getMessage());
            }
    }
    /**
     * Metodo que guarda la información en el custom css
     */
    protected function escribirCustomCss()
    {
        $custom_css = Tools::getValue('EASYCOPRO_customcss', '');
        $filename = _PS_MODULE_DIR_ . $this->name . '/views/css/custom.css';
        try {
            if (! $fp = fopen($filename, 'w+')) {
                $this->errors[] = Tools::displayError('Error abriendo el fichero para escritura');
            }
            fwrite($fp, $custom_css);
            fclose($fp);
        } catch (Exception $e) {
            $this->errors[] = Tools::displayError('Error guardando hoja de estilos personalizada:' . $e->getMessage());
        }
    }

    protected function leerCustomCss()
    {
        $customcss = false;
        $filename = _PS_MODULE_DIR_ . $this->name . '/views/css/custom.css';
        try {
            if (! $fp = fopen($filename, 'r')) {
                $this->errors[] = Tools::displayError('Error abriendo el fichero para lectura');
            }
            $customcss = fread($fp, filesize($filename));
            fclose($fp);
        } catch (Exception $e) {
            $this->errors[] = Tools::displayError('Error guardando hoja de estilos personalizada:' . $e->getMessage());
        }
        return $customcss;
    }
    
    public static function hex2rgbaCSS($hex,$opacity=1) {
        $hex = str_replace("#", "", $hex);
    
        if(strlen($hex) == 3) {
            $r = hexdec(substr($hex,0,1).substr($hex,0,1));
            $g = hexdec(substr($hex,1,1).substr($hex,1,1));
            $b = hexdec(substr($hex,2,1).substr($hex,2,1));
        } else {
            $r = hexdec(substr($hex,0,2));
            $g = hexdec(substr($hex,2,2));
            $b = hexdec(substr($hex,4,2));
        }
        $rgba = 'rgba('.$r.','.$g.','.$b.','.$opacity.')';
        return $rgba;
    }
    
    /**
     * Metodo que escribe el css con las opciones de configuración seleccionadas
     * @param unknown $options
     */
    private function writetoCSSCustom($options){    
        /****** FUENTES ********/
        $css = '';
        if($options['login']['fontFamilyType'] == 'google') {
            $css .= '@import url(https://fonts.googleapis.com/css?family='.str_replace(' ','+',$options['login']['fontFamily']).');';
        }
        if($options['envios']['fontFamilyType'] == 'google' && $options['envios']['fontFamily'] != $options['login']['fontFamily']) {
            $css .= '@import url(https://fonts.googleapis.com/css?family='.str_replace(' ','+',$options['envios']['fontFamily']).');';
        }
        if($options['pagos']['fontFamilyType'] == 'google' && $options['pagos']['fontFamily'] != $options['login']['fontFamily'] && $options['pagos']['fontFamily'] != $options['envios']['fontFamily']) {
            $css .= '@import url(https://fonts.googleapis.com/css?family='.str_replace(' ','+',$options['pagos']['fontFamily']).');';
        }
        if($options['botones']['fontFamilyType'] == 'google' && $options['botones']['fontFamily'] != $options['login']['fontFamily'] && $options['botones']['fontFamily'] != $options['envios']['fontFamily'] && $options['botones']['fontFamily'] != $options['pagos']['fontFamily']) {
            echo$css .= '@import url(https://fonts.googleapis.com/css?family='.str_replace(' ','+',$options['botones']['fontFamily']).');';
        }
    
        /***** CAJAS ******/
        /**
         * BOX 1 - Login
         */
        $css .=' #easyCheck_order_opc .box1{';
        $css .=' background:' . $options['login']['bg'].' !important;';
        $css .=' font-family: '. $options['login']['fontFamily'] . ';';
        $css .=' font-size: '. $options['login']['fontSize'] . 'px;';
        $css .=' color: '. $options['login']['fontColor'] . ';';
        $css .=' border-radius: '. $options['login']['borderRadius'] . 'px;';
        if((int)$options['login']['borderType'] == 0) {
            $css .= 'border:solid '.$options['login']['borderSize'].'px '.$options['login']['borderColor'].';';
        }
        else{
            $css .= 'border:0px;';
        }
        $css .='}';
        //si el login bordertype 1 clase after
        if($options['login']['borderType'] == '1'){
            $css .='#easyCheck_order_opc .box1::after{ content:\'\'; position: absolute; ';
            $css .='width: '. $options['login']['borderSize'] . 'px;height: 60%;right: -16px;top:20%;';
            $css .='background-color:'. $options['login']['borderColor'] . ';}';
        }
        /**
         * BOX 2 - Carrier
         */
        $css .='#easyCheck_order_opc .box2{ background:'. $options['envios']['bg'] . ' !important;';
        $css .='font-family: '. $options['envios']['fontFamily'] . '; font-size: '. $options['envios']['fontSize'] . 'px;';
        $css .='color: '. $options['envios']['fontColor'] . ';';
        $css .='border-radius: '. $options['envios']['borderRadius'] . 'px;';
        if(!(int)$options['envios']['borderType']){
            $css .= 'border:solid '.$options['envios']['borderSize'].'px '.$options['envios']['borderColor'].';';
        }else{
            $css .= 'border:0px;';
        }
        $css .='}';
    
        if((int)$options['envios']['borderType'] == 1) {
            $css .= ' #easyCheck_order_opc .box2::after{ content:\'\'; position: absolute; width: '. $options['envios']['borderSize'] . 'px;';
            $css .= ' height: 60%;right: -16px;top:20%;background-color:'. $options['envios']['borderColor'] . ';}';
        }
        /**
         * BOX 3 - Pagos
         */
        $css .= '#easyCheck_order_opc .box3{background:'. $options['pagos']['bg'] . ' !important;';
        $css .= 'color: '. $options['pagos']['fontColor'] . ';';
        $css .= 'border-radius: '. $options['envios']['borderRadius'] . 'px;';
        $css .= 'border:solid '. $options['pagos']['borderSize'] . 'px '. $options['pagos']['borderColor'] . ';';
        if((int)$options['pagos']['shadow']){
            $css .= 'box-shadow:1px 1px 3px rgba(0,0,0,0.3),-1px -1px 3px rgba(0,0,0,0.3);';
        }
        $css .= '}';
        $css .= '#easyCheck_order_opc #easCheck_payment{font-family: '. $options['pagos']['fontFamily'] . ';font-size: '. $options['pagos']['fontSize'] . 'px;}';
        /******* BOTONES ********/
        $css .= '#easyCheck_order_opc .box1 button.button.btn.easCheck_btn_reg,#easyCheck_order_opc #easCheckLoginPanel.easCheckLoginAdress a.button.btn{';
        $css .= 'background:'. $options['login']['btnColor'] . ';color: '. $options['login']['btnFontColor'] . ';';
        $css .= 'font-family: '. $options['botones']['fontFamily'] . ';font-size: '. $options['botones']['fontSize'] . 'px;}';
    
        $css .= '#easyCheck_order_opc .box2 button.button.btn.easCheck_btn_reg{';
        $css .= 'background:'. $options['envios']['btnColor'] . ';color: '. $options['envios']['btnFontColor'] . ';font-family: '. $options['botones']['fontFamily'] . ';font-size: '. $options['botones']['fontSize'] . 'px;}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment button.button.btn.easCheck_btn_reg{';
        $css .= 'background:'. $options['pagos']['btnColor'] . ';color: '. $options['pagos']['btnFontColor'] . ';';
        $css .= 'font-family: '. $options['botones']['fontFamily'] . ';font-size: '. $options['botones']['fontSize'] . 'px;}';
    
        $css .= '#easyCheck_order_opc .box1 button.button.btn.easCheck_btn_reg:hover,#easyCheck_order_opc #easCheckLoginPanel.easCheckLoginAdress a.button.btn:hover{';
        $css .= 'background:'. $options['login']['btnColor'] . ';color: '. $options['login']['btnFontColor'] . ';';
        $css .= 'font-family: '. $options['botones']['fontFamily'] . ';font-size: '. $options['botones']['fontSize'] . 'px;}';
    
        $css .= '#easyCheck_order_opc .box2 button.button.btn.easCheck_btn_reg:hover{';
        $css .= 'background:'. $options['envios']['btnColor'] . ';color: '. $options['envios']['btnFontColor'] . ';';
        $css .= 'font-family: '. $options['botones']['fontFamily'] . ';font-size: '. $options['botones']['fontSize'] . 'px;}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment button.button.btn.easCheck_btn_reg:hover{';
        $css .= 'background:'. $options['pagos']['btnColor'] . ';color: '. $options['pagos']['btnFontColor'] . ';';
        $css .= 'font-family: '. $options['botones']['fontFamily'] . ';font-size: '. $options['botones']['fontSize'] . 'px;}';
    
        /****** TRANSPORTISTAS ITEM ******/
        $css .= '#easyCheck_order_opc .delivery_option .easCheck_delivery_item{';
        $css .= 'background-color: '. $options['envios']['transport']['bgIn'] . ';color: '. $options['envios']['transport']['colorIn'] . ';border:0px;}';
        $css .= '#easyCheck_order_opc .delivery_option .easCheck_delivery_item:hover{';
        $css .= 'background-color: ' . self::hex2rgbaCSS($options['envios']['transport']['bgAc'],0.3) . '}';
    
        $css .= '#easyCheck_order_opc .delivery_option .easCheck_delivery_item p, #easyCheck_order_opc .delivery_option .easCheck_delivery_item span{';
        $css .= 'color: '. $options['envios']['transport']['colorIn'] . ';}';
    
        $css .= '#easyCheck_order_opc .delivery_option .easCheck_delivery_item.active{';
        $css .= 'background-color: '. $options['envios']['transport']['bgAc'] . ';color: '. $options['envios']['transport']['colorAc'] . ';border:0px;}';
    
        $css .= '#easyCheck_order_opc .delivery_option .easCheck_delivery_item.active:hover{background-color: '. $options['envios']['transport']['bgAc'] . ';}';
    
        $css .= '#easyCheck_order_opc .delivery_option .easCheck_delivery_item.active p, #easyCheck_order_opc .delivery_option .easCheck_delivery_item.active span{';
        $css .= 'color: '. $options['envios']['transport']['colorAc'] . ';}';
    
        /*** METODOS DE PAGO ***/
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .row .col-xs-12 .payment_module,#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .payment_module{';
        $css .= 'background-color:'. $options['pagos']['metodos']['bgIn'] . ';}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .row .col-xs-12 .payment_module a,#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .payment_module a{';
        $css .= 'color: '. $options['pagos']['metodos']['colorIn'] . ';}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .row .col-xs-12 .payment_module a span,#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .payment_module a span{';
        $css .= 'color: ' . self::hex2rgbaCSS($options['pagos']['metodos']['colorIn'],0.7).';}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .row .col-xs-12 .payment_module a::after,#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .payment_module a::after{';
        $css .= 'color: ' . self::hex2rgbaCSS($options['pagos']['metodos']['colorIn'],0.7) .';}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .row .col-xs-12 .payment_module:hover,#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .payment_module:hover{';
        $css .= 'background-color:'. $options['pagos']['metodos']['bgAc'] . ';}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .row .col-xs-12 .payment_module:hover a,#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .payment_module:hover a{';
        $css .= 'color: '. $options['pagos']['metodos']['colorAc'] . ';}';
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .row .col-xs-12 .payment_module:hover a span,#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .payment_module:hover a span{';
        $css .= 'color: ' . self::hex2rgbaCSS($options['pagos']['metodos']['colorAc'],0.7) .';}';
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .row .col-xs-12 .payment_module:hover a::after,#easyCheck_order_opc #easCheck_payment .box3 #easCheck_payment_items #HOOK_PAYMENT .payment_module:hover a::after{';
        $css .= 'color: ' . self::hex2rgbaCSS($options['pagos']['metodos']['colorAc'],0.7) . ';}';
    
    
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .row:first-child .col-xs-12 .payment_module{';
        $css .= 'background-color:'. $options['pagos']['metodos']['bgAc'] . ' !important;}';
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .row:first-child .col-xs-12 .payment_module a{';
        $css .= 'color: '. $options['pagos']['metodos']['colorAc'] . ' !important;}';
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .row:first-child .col-xs-12 .payment_module a span{';
        $css .= 'color: ' . self::hex2rgbaCSS($options['pagos']['metodos']['colorAc'],0.7) .' !important;}';
        $css .= '#easyCheck_order_opc #easCheck_payment .box3 #HOOK_PAYMENT .row:first-child .col-xs-12 .payment_module a::after{';
        $css .= 'color: ' . self::hex2rgbaCSS($options['pagos']['metodos']['colorAc'],0.7) .' !important;}';
        return $css;
    }
}
