<?php
	
	include(dirname(__FILE__).'/../../../config/config.inc.php');
	include(dirname(__FILE__).'/../../../init.php');
	include(dirname(__FILE__).'/../easysociallogin.php');
	include(dirname(__FILE__).'/../classes/scAmazonUsers.php');
	
	if (Tools::getIsset('access_token')){
		$c = curl_init('https://api.amazon.com/auth/o2/tokeninfo?access_token=' . urlencode(Tools::getValue('access_token')));
		curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
		$r = curl_exec($c);
		curl_close($c); 
		$d = json_decode($r);
 
		if ($d->aud != Configuration::get('PF_SC_AZ_ID')) {
			header('HTTP/1.1 404 Not Found');
			echo 'Page not found';
			exit;
		}

		$c = curl_init('https://api.amazon.com/user/profile');
		curl_setopt($c, CURLOPT_HTTPHEADER, array('Authorization: bearer ' . Tools::getValue('access_token')));
		curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
		$r = curl_exec($c);
		curl_close($c);
		$d = json_decode($r);
 
		$email = $d->email;
		$full_name = $d->name;
		$user_id = $d->user_id;
		$name = explode(" ", $full_name);
		$f_name =  preg_replace('/\PL/u', '', $name[0]);
		$l_name = isset($name[1])?preg_replace('/\PL/u', '', $name[1]):preg_replace('/\PL/u', '', $name[0]);
		$customer = new Customer();
		$customer->getByEmail($email, null, true);	
		
		if ($customer->id){
			$context = Context::getContext();	
			Hook::exec('actionBeforeAuthentication');
			$context->cookie->id_compare = isset($context->cookie->id_compare) ? $context->cookie->id_compare: CompareProduct::getIdCompareByIdCustomer($customer->id);
			$context->cookie->id_customer = (int)($customer->id);
			$context->cookie->customer_lastname = $customer->lastname;
			$context->cookie->customer_firstname = $customer->firstname;
			$context->cookie->logged = 1;
			$customer->logged = 1;
			$context->cookie->is_guest = $customer->isGuest();
			$context->cookie->passwd = $customer->passwd;
			$context->cookie->email = $customer->email;
			$context->customer = $customer;
					
			if (Configuration::get('PS_CART_FOLLOWING') && (empty($context->cookie->id_cart) || Cart::getNbProducts($context->cookie->id_cart) == 0) && $id_cart = (int)Cart::lastNoneOrderedCart($context->customer->id))
				$context->cart = new Cart($id_cart);
			else{
				$id_carrier = (int)$context->cart->id_carrier;
				$context->cart->id_carrier = 0;
				$context->cart->setDeliveryOption(null);
				$context->cart->id_address_delivery = (int)Address::getFirstCustomerAddressId((int)($customer->id));
				$context->cart->id_address_invoice = (int)Address::getFirstCustomerAddressId((int)($customer->id));
			}
			
			$context->cart->id_customer = (int)$customer->id;
			$context->cart->secure_key  = $customer->secure_key;
			$context->cart->save();
			$context->cookie->id_cart = (int)$context->cart->id;
			$context->cookie->write();
			$context->cart->autosetProductAddress();
			Hook::exec('actionAuthentication');
			CartRule::autoRemoveFromCart($context);
			CartRule::autoAddToCart($context);

		}else{
			$result = Db::getInstance()->ExecuteS('SELECT * FROM '._DB_PREFIX_.'pfscamazonusers WHERE id_user ="'.$user_id.'"'.Shop::addSqlRestriction(Shop::SHARE_CUSTOMER) );				
			if (empty($result)){
			 	$amazon_users = new SCAmazonUsers();
				$amazon_users->id_user = $user_id;
				$amazon_users->id_shop_group = Shop::getContextShopGroupID();
				$amazon_users->id_shop = Shop::getContextShopID();
				$amazon_users->name = $full_name;
				$amazon_users->email = $email;
				$amazon_users->add();
			
				Hook::exec('actionBeforeSubmitAccount');
			
				$customer->firstname = $f_name;
				$customer->lastname = $l_name;
				$customer->email = $email;
				$password = Tools::passwdGen();
				$customer->passwd = md5(pSQL(_COOKIE_KEY_.$password));
				$customer->is_guest = 0;
				$customer->active = 1;
				$customer->newsletter = 0;
				$customer->add();
				
				$send_email = new easysociallogin();
				$send_email->sendConfirmationMail($customer, $password);
				
				$context = Context::getContext();
				$context->customer = $customer;
				$context->cookie->id_customer = (int)$customer->id;
				$context->cookie->customer_lastname = $customer->lastname;
				$context->cookie->customer_firstname = $customer->firstname;
				$context->cookie->passwd = $customer->passwd;
				$context->cookie->logged = 1;
				$customer->logged = 1;
				$context->cookie->email = $customer->email;
				$context->cookie->is_guest = $customer->is_guest;
				$context->cart->secure_key = $customer->secure_key;
				$context->cookie->update();
				$context->cart->update();
			}		
		}
	}