<?php
	include(dirname(__FILE__).'/../../../config/config.inc.php');
	include(dirname(__FILE__).'/../../../init.php');
	include(dirname(__FILE__).'/../easysociallogin.php');
	include(dirname(__FILE__).'/../classes/scMicrosoftUsers.php');
	
	if (Tools::getIsset("access_token")){
		$data_url = "https://apis.live.net/v5.0/me?access_token=".Tools::getValue('access_token');
		$data_encode = Tools::file_get_contents($data_url);
		$data = json_decode($data_encode);
		$id = $data->id;
		$first_name = $data->first_name;
		$f_name =  preg_replace('/\PL/u', '', $first_name);
		$last_name = $data->last_name;
		$l_name =  preg_replace('/\PL/u', '', $last_name);
		$email = $data->emails->account;
		
		$customer = new Customer();
		$customer->getByEmail($email, null, true);
		
		if ($customer->id){
			$context = Context::getContext();	
			Hook::exec('actionBeforeAuthentication');
			$context->cookie->id_compare = isset($context->cookie->id_compare) ? $context->cookie->id_compare: CompareProduct::getIdCompareByIdCustomer($customer->id);
			$context->cookie->id_customer = (int)($customer->id);
			$context->cookie->customer_lastname = $customer->lastname;
			$context->cookie->customer_firstname = $customer->firstname;
			$context->cookie->logged = 1;
			$customer->logged = 1;
			$context->cookie->is_guest = $customer->isGuest();
			$context->cookie->passwd = $customer->passwd;
			$context->cookie->email = $customer->email;
			$context->customer = $customer;
					
			if (Configuration::get('PS_CART_FOLLOWING') && (empty($context->cookie->id_cart) || Cart::getNbProducts($context->cookie->id_cart) == 0) && $id_cart = (int)Cart::lastNoneOrderedCart($context->customer->id))
				$context->cart = new Cart($id_cart);
			else{
				$id_carrier = (int)$context->cart->id_carrier;
				$context->cart->id_carrier = 0;
				$context->cart->setDeliveryOption(null);
				$context->cart->id_address_delivery = (int)Address::getFirstCustomerAddressId((int)($customer->id));
				$context->cart->id_address_invoice = (int)Address::getFirstCustomerAddressId((int)($customer->id));
			}
			
			$context->cart->id_customer = (int)$customer->id;
			$context->cart->secure_key = $customer->secure_key;
			$context->cart->save();
			$context->cookie->id_cart = (int)$context->cart->id;
			$context->cookie->write();
			$context->cart->autosetProductAddress();
			Hook::exec('actionAuthentication');
			CartRule::autoRemoveFromCart($context);
			CartRule::autoAddToCart($context);
		}else{
			$result = Db::getInstance()->ExecuteS('SELECT * FROM '._DB_PREFIX_.'pfscmicrosoftusers WHERE id_user ="'.$id.'"'.Shop::addSqlRestriction(Shop::SHARE_CUSTOMER));				
			if (empty($result)){
				$microsoft_users = new SCMicrosoftUsers();
				$microsoft_users->id_user = $id;
				$microsoft_users->id_shop_group = Shop::getContextShopGroupID();
				$microsoft_users->id_shop = Shop::getContextShopID();
				$microsoft_users->first_name = $first_name;
				$microsoft_users->last_name = $last_name;
				$microsoft_users->email = $email;
				$microsoft_users->add();
				Hook::exec('actionBeforeSubmitAccount');
				$customer->firstname = $f_name;
				$customer->lastname = $l_name;
				$customer->email = $email;
				$password = Tools::passwdGen();
				$customer->passwd = md5(pSQL(_COOKIE_KEY_.$password));
				$customer->is_guest = 0;
				$customer->active = 1;
				$customer->add();
				
				$send_email = new easysociallogin();
				$send_email->sendConfirmationMail($customer, $password);
				
				$context = Context::getContext();
				$context->customer = $customer;
				$context->cookie->id_customer = (int)$customer->id;
				$context->cookie->customer_lastname = $customer->lastname;
				$context->cookie->customer_firstname = $customer->firstname;
				$context->cookie->passwd = $customer->passwd;
				$context->cookie->logged = 1;
				$customer->logged = 1;
				$context->cookie->email = $customer->email;
				$context->cookie->is_guest = $customer->is_guest;
				$context->cart->secure_key = $customer->secure_key;
				$context->cookie->update();
				$context->cart->update();
			}		
		}
	}