<?php

	include(dirname(__FILE__).'/../../../config/config.inc.php');
	include(dirname(__FILE__).'/../../../init.php');
	include(dirname(__FILE__).'/../easysociallogin.php');
	include(dirname(__FILE__).'/../classes/scFoursquareUsers.php');
	
	if (Tools::getIsset('code')){
		$sc_obj = new easysociallogin();
		$customer = new Customer();
		$link = new Link();
		$authentication_page = $link->getPageLink('my-account', true);
		$code = Tools::getValue('code');
		$client_id = $sc_obj->_pf_sc_fs_id;
		$client_secret = $sc_obj->_pf_sc_fs_secret;
		
		$redirect_url = Tools::getHttpHost(true).__PS_BASE_URI__."modules/".$sc_obj->name."/connect/foursquareconnect.php";
		$token_url = "https://foursquare.com/oauth2/access_token?client_id=".$client_id."&client_secret=".$client_secret."&grant_type=authorization_code&code=".$code;
		
		$request_token = $token_url."&redirect_uri=".$redirect_url;
		$response_token = Tools::file_get_contents($request_token);
		$decode_token = json_decode($response_token);
		$access_token = $decode_token->access_token;
		
		$request_data = "https://api.foursquare.com/v2/users/self?oauth_token=".$access_token."&v=20150510";
		$response_data = Tools::file_get_contents($request_data);
		$decode_data = json_decode($response_data);
		
		$id = $decode_data->response->user->id;
		$first_name = $decode_data->response->user->firstName;
		$f_name_preg = preg_replace('/\PL/u', '', $first_name);
		$last_name = $decode_data->response->user->lastName;
		$l_name_preg = preg_replace('/\PL/u', '', $last_name);
		$gender = $decode_data->response->user->gender;
		$email = $decode_data->response->user->contact->email;
		$original_date = $decode_data->response->user->birthday;
		$birthday = date('Y-m-d', $original_date);

		if ($gender == 'male')
			$id_gender = 1;
		elseif ($gender == 'female')
			$id_gender = 2;
		else
			$id_gender = null;
		
		$customer->getByEmail($email, null, true);
		
		if ($customer->id){
			$context = Context::getContext();
			Hook::exec('actionBeforeAuthentication');		
			$context->cookie->id_compare = isset($context->cookie->id_compare) ? $context->cookie->id_compare: CompareProduct::getIdCompareByIdCustomer($customer->id);
			$context->cookie->id_customer = (int)($customer->id);
			$context->cookie->customer_lastname = $customer->lastname;
			$context->cookie->customer_firstname = $customer->firstname;
			$context->cookie->logged = 1;
			$customer->logged = 1;
			$context->cookie->is_guest = $customer->isGuest();
			$context->cookie->passwd = $customer->passwd;
			$context->cookie->email = $customer->email;
			$context->customer = $customer;
					
			if (Configuration::get('PS_CART_FOLLOWING') && (empty($context->cookie->id_cart) || Cart::getNbProducts($context->cookie->id_cart) == 0) && $id_cart = (int)Cart::lastNoneOrderedCart($context->customer->id))
				$context->cart = new Cart($id_cart);
			else{
				$id_carrier = (int)$context->cart->id_carrier;
				$context->cart->id_carrier = 0;
				$context->cart->setDeliveryOption(null);
				$context->cart->id_address_delivery = (int)Address::getFirstCustomerAddressId((int)($customer->id));
				$context->cart->id_address_invoice = (int)Address::getFirstCustomerAddressId((int)($customer->id));
			}
			
			$context->cart->id_customer = (int)$customer->id;
			$context->cart->secure_key = $customer->secure_key;
			$context->cart->save();
			$context->cookie->id_cart = (int)$context->cart->id;
			$context->cookie->write();
			$context->cart->autosetProductAddress();
			Hook::exec('actionAuthentication');
			CartRule::autoRemoveFromCart($context);
			CartRule::autoAddToCart($context);
		}else{
			$result = Db::getInstance()->ExecuteS('SELECT * FROM '._DB_PREFIX_.'pfscfoursquareusers WHERE id_user ="'.$id.'"'.Shop::addSqlRestriction(Shop::SHARE_CUSTOMER) );				
			if (empty($result)){
				$foursquare_users = new SCFoursquareUsers();
				$foursquare_users->id_user = $id;
				$foursquare_users->id_shop_group = Shop::getContextShopGroupID();
				$foursquare_users->id_shop = Shop::getContextShopID();
				$foursquare_users->first_name = $first_name;
				$foursquare_users->last_name = $last_name;
				$foursquare_users->email = $email;
				$foursquare_users->gender = $gender;
				$foursquare_users->birthday = $birthday;
				$foursquare_users->add();
				Hook::exec('actionBeforeSubmitAccount');
				$customer->firstname = $f_name_preg;
				$customer->lastname = $l_name_preg;
				$customer->email = $email;
				$password = Tools::passwdGen();
				$customer->passwd = md5(pSQL(_COOKIE_KEY_.$password));
				$customer->id_gender = $id_gender;
				$customer->birthday = $birthday;
				$customer->is_guest = 0;
				$customer->active = 1;
				$customer->add();
				
				$sc_obj->sendConfirmationMail($customer, $password);
				
				$context = Context::getContext();
				$context->customer = $customer;		
				$context->cookie->id_customer = (int)$customer->id;
				$context->cookie->customer_lastname = $customer->lastname;
				$context->cookie->customer_firstname = $customer->firstname;
				$context->cookie->passwd = $customer->passwd;
				$context->cookie->logged = 1;
				$customer->logged = 1;
				$context->cookie->email = $customer->email;
				$context->cookie->is_guest = $customer->is_guest;
				$context->cart->secure_key = $customer->secure_key;
				$context->cookie->update();
				$context->cart->update();	
			}		
		}
			
		echo ('
			<script type="text/javascript">
				var redirect = "'.$sc_obj->_pf_sc_login_page.'";
				window.onunload = refreshParent;
				function refreshParent() {
					if(redirect == "no_redirect")
						window.opener.location.reload();
					if(redirect == "authentication_page")
						window.opener.location.href = "'.$authentication_page.'";
				}
				setTimeout(function(){
					self.close();	
				}, 500)
			</script>');
	}	